﻿using Syncfusion.Windows.Diagram;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ConnectionHitBorder
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            dview.PortVisibility = PortVisibility.AlwaysVisible;
            ConnectionPort port1 = new ConnectionPort();
            port1.Left =50;
            port1.Top = 100;
            port1.Width = 10;
            port1.Height = 10;
            Node node1=addnode(200,200,"FirstNode");
            port1.Node = node1;
            //to customize the ConnectionHitPath style.
            port1.HitPathStyle = this.Resources["Hitpathstyle1"] as Style;
            node1.Ports.Add(port1);

            ConnectionPort port2 = new ConnectionPort();
            port2.Left = 50;
            port2.Top = 0;
            port2.Width = 10;
            port2.Height = 10;
            Node node2 = addnode(500, 500, "SecondNode");
            port2.Node = node1;
            //to customize the ConnectionHitPath style.
            port2.HitPathStyle = this.Resources["Hitpathstyle"] as Style;
            node2.Ports.Add(port2);
        }

        private Node addnode(double x, double y, string name)
        {
            Node node = new Node();
            node.Width = 100;
            node.Height = 100;
            node.OffsetX = x;
            node.OffsetY = y;
            node.Label = name;
            node.Shape = Shapes.Rectangle;
            //to customize the ConnectionHitPath style.
            node.HitPathStyle=this.Resources["Hitpathstyle"] as Style;
            dmodel.Nodes.Add(node);
            return node;        
        }

        private void Draw_Click(object sender, RoutedEventArgs e)
        { 
            dview.EnableConnection = true;
            dview.EnableDrawingTools = true;
            dview.DrawingTool = DrawingTools.OrthogonalLine;
        }
    }
}
